# List connector topics

**GET /v1/kafka-connect/clusters/{cluster_name}/connectors/{name}/topics**

Returns a list of connector topic names. If the connector is inactive, this call returns an empty list.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters
- **cluster_name** (string)
  Unique name of target Connect cluster. For Redpanda Cloud, use `redpanda`.
- **name** (string)
  Name of connector.



## Responses
### 200
OK

#### Body: application/json (object)
- **topics** (array[string])
  Topic names.

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
